READSHORTCUT(1)

NAME
readshortcut - read data from a windows shortcut (.lnk) file

SYNOPSIS
readshortcut [OPTION]* SHORTCUT

DESCRIPTION
readshortcut is a command-line tool for reading Windows shortcut files (also known as OLE links). The most practical use is to resolve the target that a shortcut points to. It can be easily run from a script or batch file for non-interactive use.

OPTIONS

-h, --help
    Output detailed usage information and exit.

--usage
    Output basic usage information and exit.

-v, --version
    Display the program version and exit.

--license
    Display the license agreement and exit.

-f, --fields
    Show field names (Target, Working Directory, Arguments, Show Command, Icon Library, Icon Library Offset, Description).

-u, --unix
    Use Unix path format for display (default).

-w, --windows
    Use Windows path format for display.

-t, --target
    Display shortcut target (default).

-g, --working
    Display shortcut working directory.

-r, --args
    Display shortcut arguments

-s, --showcmd
    Display shortcut "show" command value (Normal, Minimized, or Maximized).

-i, --icon
    Display icon library location.

-j, --offset
    Display icon library offset.

-d, --desc
    Display shortcut description.

-a, --all
    Display all information.

-R, --raw
    Show paths in raw mode (that is, without expanding embedded environment variables).

NOTES
The filename (shortcut) argument may be unix (POSIX) format or Windows (C:\) format.

Information extracted from the shortcut is always displayed in the following order: Target, Working Directory, Arguments, Show Command, Icon Library, Icon Library Offset, Description. Each element appears on a separate line.

BUGS
There may be problems if the SHORTCUT argument is longer than 256 characters

COPYRIGHT
Copyright (C) 2003 Rob Siklos

readshortcut is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

readshortcut is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.

See the COPYING file for full license information.

AUTHOR
Rob Siklos, (r o b 3 @ s i k l o s . c a), Toronto, Canada

SEE ALSO
mkshortcut(1) readlink(1)